Last Comment Bug 746567 - [tracker] elastic search unified search results
: [tracker] elastic search unified search results
Status: RESOLVED FIXED
:
Product: support.mozilla.org
Classification: Other
Component: Search (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 746609 752513
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 07:34 PDT by Will Kahn-Greene [:willkg]
Modified: 2012-06-22 07:55 PDT (History)
0 users
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Will Kahn-Greene [:willkg] 2012-04-18 07:34:03 PDT
This tracker covers all the changes that need to happen to get us from the bucketed-search-results place we're at now to the glorious unified search results future.

What does "bucketed search results" mean?

Right now we show search results from the kb, the support forums, and then the contributor forums. It's "bucketed" in the sense that we show all the kb results first, then all the support forum results and then all the contributor forum results.

What does our glorious "unified search results" future look like?

Our glorious future has search results where the "document types" (e.g. kb, support forum question, contributor forum question) are intertwingled. We do one ES query and get back a bunch of results regardless of what "type" they are and show them in order of score rather than (type, score) like we do now.
Comment 1 Will Kahn-Greene [:willkg] 2012-04-18 07:42:00 PDT
I think this should get broken down into a series of bugs:

1. Rewrite the indexing to use one doctype and rewrite the elasticsearch search view to simulate the search bucket results with the new index structure. I don't think we can break this down into smaller chunks. I'm pretty sure it'll unearth some problems that will need to get figured out. I'm guessing this will take > 2 weeks.

2. Write a new ES unified search view with a waffle flag that lets us waffle between the ES unified search view and the ES bucketed search view. Both the ES unified search view and the ES bucketed search view will be using the same index. I'm guessing this will take > 1 week.

3. Analyze the search results for the new ES unified search view, figure out what changes are necessary to make them decent, create bugs for those changes, and implement the changes.


If that sounds ok, I'll create bugs for 1 and 2. We can figure out 3 when we get there.
Comment 2 Will Kahn-Greene [:willkg] 2012-04-18 07:58:28 PDT
Expanding on item 3, we can determine whether the search results for the ES unified search view are "decent" by doing the analysis James did for when we were switching from Sphinx to ES as well as by analyzing the CTR after switching the waffle flag to 50%. If there are other things we want to do, those can go in the bugs created to address item 3.
Comment 3 Will Kahn-Greene [:willkg] 2012-04-27 07:10:29 PDT
Also expanding on item 3, this is the wiki page on what the sumodev team is thinking and what they'll need and all that:

https://wiki.mozilla.org/Support/Kitsune/features/search-ranking
Comment 4 Will Kahn-Greene [:willkg] 2012-06-22 07:55:43 PDT
I'm going to say this was an implementation bug. We have another bug covering analysis of the search results and fixing issues which will eventually make this live.

I'm going to mark this as FIXED.

Note You need to log in before you can comment on or make changes to this bug.